using System;
using System.Data;
using System.Data.OleDb;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
        this.AccessDataSource1.DataFile = Page.MapPath("USStates.MDB");
    }
    protected void AutoCompleteTextBox1_ProvideChoiceListOnCallback(object sender, Syncfusion.Web.UI.WebControls.Tools.ACUserChoiceListEventArgs e)
    {
        ArrayList productNames = new ArrayList();
        using (OleDbConnection connection = new OleDbConnection(AccessDataSource1.ConnectionString.ToString()))
        {
            OleDbCommand command = connection.CreateCommand();
            command.CommandText = AccessDataSource1.SelectCommand;
            try
            {
                connection.Open();
                OleDbDataReader reader = command.ExecuteReader();
                while (reader.Read())
                {
                    productNames.Add(reader[1].ToString());
                }

                e.ChoiceList = productNames;
                reader.Close();
            }
            catch (Exception ex)
            {
                Console.WriteLine(ex.Message);
            }

        }
    }
}
